Sårbarhet i Citrix ADC och gateway produkter

0

Systemadministratörer får se upp. PoC exploits for critical RCE hashtag#vulnerability (CVE-2019-19781) i Citrix ADC och Gateway produkter har offentligtgjorts. CVE-2019-19781 har fått öknamnet “Shitrix” och det har rapporterats att ransomware planteras av hackare som utnyggtjar sårbarheterna med Shitrix.

Det finns mer än 125 400 Citrix servers som är publika. Idag finns det ingen patch bara mitigation.

Application Delivery Controller (NetScaler ADC) och Citrix Gateway (NetScaler Gateway)

CERT-SE har publicerat information gällande en sårbarhet i Citrix Application Delivery Controller (NetScaler ADC) och Citrix Gateway (NetScaler Gateway).

Sårbarheten möjliggör för en fjärrangripare att exekvera
godtycklig kod. Sårbarheten (CVE-2019-19781) har ännu inte tilldelats
någon CVSS-klassificering men CERT-SE bedömer att den kommer ligga nära 10.

Sårbarheten påverkar följande produkter:

Citrix ADC and Citrix Gateway 13.0
Citrix ADC and NetScaler Gateway 12.1
Citrix ADC and NetScaler Gateway 12.0
Citrix ADC and NetScaler Gateway 11.1
Citrix NetScaler ADC
NetScaler Gateway 10.5

Rekommenderad åtgärd:
I dagsläget finns ingen säkerhetsuppdatering tillgänglig men Citrix har
publicerat några olika mitigerande åtgärder, beroende på konfiguration,
som bör implementeras omgående [2].

Källor:
[1] https://www.cert.se/2019/12/kritisk-citrix-sarbarhet
[2] https://support.citrix.com/article/CTX267679
CERT-SE

Om författaren

Daniel Larsson jobbar med Cybersecurity och datasäkerhet. Under åren har han marknadsfört säkerhetsbolag inom områden som PKI, certifikat, digital signering, mobil säkerhet och kryptering. Han har tung erfarenhet av digital marknadsföring, webbutveckling och e-handel från några av världens största varumärken.

Kommentera

Denna webbplats använder Akismet för att minska skräppost. Lär dig hur din kommentardata bearbetas.

Copy link